@admin @default-field @list

Feature: List default fields

  Background:

    Given the system has a "tenant category" with id "f6987e20-0b23-4c0b-b872-7b33edf87e75"
    And the system has a "default field" with:
      """
      {
        "id": "bf136c50-b2a9-42c1-933c-4efb6a5c9292",
        "label": "random_label",
        "placeholder": "random_placeholder",
        "span": 8,
        "order": 1232,
        "type": "text",
        "category": {
          "id": "f6987e20-0b23-4c0b-b872-7b33edf87e75"
        }
      }
      """
    And the system has a "default field" with:
      """
      {
        "id": "2264b819-15fb-4f9f-8ce8-e4ff0cd3bff7",
        "label": "random_label_1",
        "placeholder": "random_placeholder_1",
        "span": 8,
        "order": 1233,
        "type": "number",
        "category": {
          "id": "f6987e20-0b23-4c0b-b872-7b33edf87e75"
        }
      }
      """



  Scenario: List default fields created
    Given I log in as "super admin"
    When I send a GET request to "/admin/default-fields"
    Then I get a status code 200
    And I get a response body with:
      """
      [
        {
          "id": "bf136c50-b2a9-42c1-933c-4efb6a5c9292",
          "label": "random_label",
          "placeholder": "random_placeholder",
          "span": 8,
          "order": 1232,
          "type": "text",
          "category": {
            "id": "f6987e20-0b23-4c0b-b872-7b33edf87e75"
          }
        },
        {
          "id": "2264b819-15fb-4f9f-8ce8-e4ff0cd3bff7",
          "label": "random_label_1",
          "placeholder": "random_placeholder_1",
          "span": 8,
          "order": 1233,
          "type": "number",
          "category": {
            "id": "f6987e20-0b23-4c0b-b872-7b33edf87e75"
          }
        }
      ]
      """
