@auth @sign-out
Feature: sign out
  - Only must be allow logged out to user with existent session

  Scenario Outline: with authenticated session

    Given I log in as "<role>"
    When I send a POST request to "/auth/sign-out"
    Then I get a status code 200
    And I get a response body with:
      """
      {
        "message": "Sesion finalizada con éxito."
      }
      """

    Examples:
      | role            |
      | admin employee  |
      | vendor employee |
      | customer        |


  Scenario: with unauthenticated session
    When I send a POST request to "/auth/sign-out"
    Then I get a status code 401
