@transport-company @create

Feature: Create transport company

  Scenario Outline: Create a transport company with new information
    Given I log in as "<role>"
    When I send a POST request to "/transport-companies" with body:
      """
      {
        "rut": "some_random_rut",
        "email": "some_random_email@gmail.com",
        "legalName": "some_random_legal_name",
        "legalAddress": "some_random_legal_address",
        "phoneNumber": "some_random_phoneNumber"
      }
      """
    Then I get a status code 201
    And I get a response body with:
      """
      {
        "rut": "some_random_rut",
        "email": "some_random_email@gmail.com",
        "legalName": "some_random_legal_name",
        "legalAddress": "some_random_legal_address",
        "phoneNumber": "some_random_phoneNumber"
      }
      """
    Examples:
      | role            |
      | admin employee  |
      | vendor employee |

