import { BaseTenantEntity } from './_base-tenant.entity'
import { ShippingEntity } from './shipping.entity'
import { TransportCompanyEntity } from './transport-company.entity'
import { UserEntity } from './user.entity'

export interface DriverEntity extends BaseTenantEntity {
  user?: UserEntity
  transportCompany?: TransportCompanyEntity
  shippings?: ShippingEntity[]

  readonly transportCompanyId?: string // easy create/update
}
