import { BaseTenantEntity } from './_base-tenant.entity'
import { EmployeeEntity } from './employee.entity'
import { OrderEntity } from './order.entity'
import { TransportCompanyEntity } from './transport-company.entity'

export interface TransportPaymentEntity extends BaseTenantEntity {
  amount: number
  commission: number

  order?: OrderEntity
  transportCompany?: TransportCompanyEntity
  employee?: EmployeeEntity
}
