import { BaseTenantEntity } from './_base-tenant.entity'
import { CustomerEntity } from './customer.entity'
import { DriverEntity } from './driver.entity'
import { EmployeeEntity } from './employee.entity'
import { RoleEntity } from './role.entity'

export interface UserEntity extends BaseTenantEntity {
  rut: string
  password: string
  email: string
  firstName: string
  lastName: string
  phoneNumber: string
  isActive: boolean

  roles?: RoleEntity[]
  customer?: CustomerEntity
  employee?: EmployeeEntity
  driver?: DriverEntity
}
