import { MigrationInterface, QueryRunner } from "typeorm";

export class Auto1713719644189 implements MigrationInterface {
    name = 'Auto1713719644189'

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE "tenant"."order" ALTER COLUMN "price" DROP NOT NULL`);
        await queryRunner.query(`ALTER TABLE "tenant"."order" ALTER COLUMN "regularPrice" DROP NOT NULL`);
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE "tenant"."order" ALTER COLUMN "regularPrice" SET NOT NULL`);
        await queryRunner.query(`ALTER TABLE "tenant"."order" ALTER COLUMN "price" SET NOT NULL`);
    }

}
