import { FormEntity } from '@/libs/domain/entities/tenant/form.entity'
import { BaseTenantEntitySchema } from './_base-tenant-schema'

export const formSchema = new BaseTenantEntitySchema<FormEntity>({
  name: 'form',
  columns: {
    fields: {
      type: 'simple-json',
    },
  },
  relations: {
    order: {
      target: 'order',
      type: 'one-to-one',
      joinColumn: true,
    },
  },
})
