import { ErrorRequestHandler } from 'express'
import errorHandler from 'errorhandler'

// 50X ERROR
export const error500Handler: ErrorRequestHandler =
  process.env.NODE_ENV === 'production'
    ? (_err, _req, res, _next) => res.status(500).json('Internal server error')
    : errorHandler()
