@admin @default-field @update

Feature: Update default field

  Background:
    Given the system has a "tenant category" with id "f6987e20-0b23-4c0b-b872-7b33edf87e75"
    And the system has a "default field" with:
      """
      {
        "id": "bf136c50-b2a9-42c1-933c-4efb6a5c9292",
        "label": "random_label",
        "placeholder": "random_placeholder",
        "span": 8,
        "order": 1232,
        "type": "text",
        "category": {
          "id": "f6987e20-0b23-4c0b-b872-7b33edf87e75"
        }
      }
      """

  Scenario: Update default field
    Given I log in as "super admin"
    When I send a PATCH request to "/admin/default-fields/bf136c50-b2a9-42c1-933c-4efb6a5c9292" with body:
      """
      {
        "label": "changed",
        "placeholder": "changed",
        "span": 16,
        "order": 1234,
        "type": "number"
      }
      """
    Then I get a status code 200
    And I get a response body with:
      """
      {
        "id": "bf136c50-b2a9-42c1-933c-4efb6a5c9292",
        "label": "changed",
        "placeholder": "changed",
        "span": 16,
        "order": 1234,
        "type": "number",
        "category": {
          "id": "f6987e20-0b23-4c0b-b872-7b33edf87e75"
        }
      }
      """
