@customer @delete
Feature: Delete a customer

  Background:
    Given the system has a "user" with id "3295cff5-5615-42b1-a346-f0b99de2b0d4"
    And the system has a "customer" with:
      """
      {
        "id": "82cf32a2-ae3a-4b79-b3ae-c807cc46ff1d",
        "user": {
          "id": "3295cff5-5615-42b1-a346-f0b99de2b0d4"
        }
      }
      """

  Scenario Outline: existing customer
    Given I log in as "<role>"
    When I send a DELETE request to "/customers/82cf32a2-ae3a-4b79-b3ae-c807cc46ff1d"
    Then I get a status code 204
    And the system cannot find the deleted "customer" with id "82cf32a2-ae3a-4b79-b3ae-c807cc46ff1d"
    And the system cannot find the deleted "user" with id "3295cff5-5615-42b1-a346-f0b99de2b0d4"

    Examples:
      | role            |
      | admin employee  |
      | vendor employee |
