@customer @list

Feature: List customers

  Background:
    Given the system has a "user" with id "b6648717-1708-4ec1-9571-1941533bfaaa"
    And the system has a "customer" with:
      """
      {
        "id": "82cf32a2-ae3a-4b79-b3ae-c807cc46ff1d",
        "user": {
          "id": "b6648717-1708-4ec1-9571-1941533bfaaa"
        }
      }
      """

  Scenario Outline: List customer
    Given I log in as "<role>"
    When I send a GET request to "/customers"
    Then I get a response body with:
      """
      {
        "total": 2,
        "results": [
          {
            "id": "82cf32a2-ae3a-4b79-b3ae-c807cc46ff1d",
            "user": {
              "id": "b6648717-1708-4ec1-9571-1941533bfaaa"
            }
          }
        ]
      }
      """
    Examples:
      | role            |
      | admin employee  |
      | vendor employee |
