@customer @update

Feature: update customer

  Background:
    Given the system has a "user" with id "b6648717-1708-4ec1-9571-1941533bfaaa"
    And the system has a "customer" with:
      """
      {
        "id": "82cf32a2-ae3a-4b79-b3ae-c807cc46ff1d",
        "user": {
          "id": "b6648717-1708-4ec1-9571-1941533bfaaa"
        }
      }
      """

  Scenario Outline: with new information
    Given I log in as "<role>"
    When I send a PATCH request to "/customers/82cf32a2-ae3a-4b79-b3ae-c807cc46ff1d" with body:
      """
      {
        "user": {
          "rut": "000123232",
          "email": "davidleid@gmail.com",
          "firstName": "david",
          "lastName": "leid",
          "phoneNumber": "932323032"
        }
      }
      """
    Then I get a status code 200
    And I get a response body with:
      """
      {
        "user": {
          "rut": "000123232",
          "email": "davidleid@gmail.com",
          "firstName": "david",
          "lastName": "leid",
          "phoneNumber": "932323032"
        }
      }
      """
    Examples:
      | role            |
      | admin employee  |
      | vendor employee |
