@driver @create

Feature: Create driver

  Background:
    Given the system has a "transport company" with id "132d04ad-ae9b-452b-a0e5-96d2fb57dd37"

  Scenario Outline: with new information
    Given I log in as "<role>"
    When I send a POST request to "/drivers" with body:
      """
      {
        "user": {
          "rut": "random_driver_000123232",
          "password": "12345",
          "email": "random_driver@gmail.com",
          "firstName": "lorem",
          "lastName": "ipsum",
          "phoneNumber": "01234566669"
        },
        "transportCompanyId": "132d04ad-ae9b-452b-a0e5-96d2fb57dd37"
      }
      """
    Then I get a status code 201
    And I get a response body with:
      """
      {
        "user": {
          "rut": "random_driver_000123232",
          "email": "random_driver@gmail.com",
          "firstName": "lorem",
          "lastName": "ipsum",
          "phoneNumber": "01234566669"
        },
        "transportCompany": {
          "id": "132d04ad-ae9b-452b-a0e5-96d2fb57dd37"
        }
      }
      """
    And I get a reset link to "random_driver@gmail.com"

    Examples:
      | role            |
      | admin employee  |
      | vendor employee |
