import { TenantEntity } from '../entities/master/tenant.entity'
import { UserEntity } from '../entities/tenant/user.entity'

export class RequestContext {
  user?: UserEntity
  tenant: Required<TenantEntity>

  private constructor({ tenant, user }: { user?: UserEntity; tenant: TenantEntity }) {
    this.tenant = tenant as Required<TenantEntity>
    this.user = user
  }

  static fromPrimitives(primitives: any) {
    return new RequestContext(primitives)
  }
}
