import { DefaultFieldType } from '../master/_types'
import { BaseTenantEntity } from './_base-tenant.entity'

import { OrderEntity } from './order.entity'

export interface FormEntity extends BaseTenantEntity {
  fields: {
    id: string
    label: string
    placeholder: string
    isRequired: boolean
    isDefault: boolean
    span: number
    order: number
    type: DefaultFieldType
    value: string
  }[]

  order: OrderEntity
}
