import { Options } from 'nodemailer/lib/mailer'

export type MailSendPayload = Options & {
  template: string
  ctx?: any
}

export abstract class MailerService {
  abstract sendEmail(payload: MailSendPayload): Promise<void>
}
